[Unit]
Description=CA service

[Service]
Environment=HOSTNAME={{ acme_ca_hostname }}
Environment=NODE_PATH=/home/ca/node_modules
{% if ansible_hostname in groups['acme_servers'] and groups['acme_servers'][0] != ansible_hostname %}
Environment=TSA_CERTIFICATE_RENEWAL=0
Environment=OCSP_CERTIFICATE_RENEWAL=0
Environment=ACME_EMAIL_SMIME_CERTIFICATE_RENEWAL=0
Environment=HTTPS_CERTIFICATE_RENEWAL=0
Environment=CRL_PERIODIC_RENEWAL=0
{% endif %}
WorkingDirectory={{ acme_ca_data_directory }}
ExecStart=node /home/ca/node_modules/.bin/node-red --settings /home/ca/node_modules/@platynum/certification-authority/settings.js /home/ca/node_modules/@platynum/certification-authority/flows.json

[Install]
WantedBy=default.target
